window.addEventListener("load", function(){
        
    jQuery(document).ready(function($){
        "use strict";

        $("body").addClass("page-loaded");

    });

});

(function (e) {
    "use strict";
    var n = window.TWP_JS || {};
    n.stickyMenu = function () {
        if (e(window).scrollTop() > 350) {
            e("body").addClass("nav-affix");
        } else {
            e("body").removeClass("nav-affix");
        }
    };
    n.mobileMenu = {
        init: function () {
            this.menuMobile();
            this.toggleIcon();
            this.menuDesktoparrow();
            this.menuMobilearrow();
            this.categoryDropdown();
        },
        menuMobile: function () {
            e('.offcanvas-toggle, .offcanvas-close').on('click', function (event) {
                e('body').toggleClass('offcanvas-menu-open');

                e('html').attr('style','overflow-y: scroll; position: fixed; width: 100%; left: 0px; top: 0px;');

                e(document).keyup(function(j) {
                    if (j.key === "Escape") {

                        if( e('body').hasClass('offcanvas-menu-open') ){
                            e('html').attr('style','');
                            e('body').removeClass('offcanvas-menu-open');

                            setTimeout(function () {
                                e('button.offcanvas-toggle').focus();
                            }, 300);

                        }
                    }
                });

            });

            e('.offcanvas-close').on('click', function (event) {
                e('html').attr('style','');
                
            });

            e('body').append('<div class="offcanvas-overlay"></div>');

            e('.offcanvas-toggle').on('click', function (event) {

                setTimeout(function () {
                    e('.offcanvas-close button').focus();
                }, 300);

            });

            e( 'input, a, button' ).on( 'focus', function() {
                if ( e( 'body' ).hasClass( 'offcanvas-menu-open' ) ) {

                    if ( ! e( this ).parents( '#offcanvas-menu' ).length ) {
                        
                        e('.offcanvas-close button').focus();
                    }

                    if( e(this).hasClass('offcanvas-return-focus-start') ){
                        e('.offcanvas-search .search-field').focus();
                    }
                }
            } );

        },
        toggleIcon: function () {
            e('#offcanvas-menu .offcanvas-navigation').on('click', 'li a i', function (event) {
                event.preventDefault();
                var ethis = e(this),
                    eparent = ethis.closest('li'),
                    esub_menu = eparent.find('> .sub-menu');
                if (esub_menu.css('display') == 'none') {
                    esub_menu.slideDown('300');
                    ethis.addClass('active');
                } else {
                    esub_menu.slideUp('300');
                    ethis.removeClass('active');
                }
                return false;
            });
        },
        menuDesktoparrow: function () {
            if (e('#masthead .main-navigation div.menu > ul').length) {
                e('#masthead .main-navigation div.menu > ul .sub-menu').parent('li').find('> a').append('<i class="ion-ios-arrow-down">');
            }
        },
        menuMobilearrow: function () {
            if (e('#offcanvas-menu .offcanvas-navigation div.menu > ul').length) {
                e('#offcanvas-menu .offcanvas-navigation div.menu > ul .sub-menu').parent('li').find('> a').append('<i class="ion-ios-arrow-down">');
            }
        },
        categoryDropdown: function () {
            e('.categories-list > li > .category-submenu').parent().hover(function () {
                var submenu = e(this).children('.category-submenu');
                if (e(submenu).is(':hidden')) {
                    e(submenu).show();
                } else {
                    e(submenu).hide();
                }
            });
        }
    };
    n.TwpDropdown = function () {
        e(".icon-search").click(function () {

            e('body').addClass('search-reveal');

            e(".search-box").slideToggle("500");
            setTimeout(function () {
                e('.close-popup').focus();
            }, 300);
        });

        e(document).keyup(function(j) {

            if (j.key === "Escape") { // escape key maps to keycode `27`
                

                if( e('body').hasClass('search-reveal') ){
                    e('.search-box').slideToggle("500");
                    e('body').removeClass('search-reveal');
                    setTimeout(function () {
                        e('.icon-search button').focus();
                    }, 300);

                }

             }

        });

        e('.close-popup').click(function () {

            e('body').removeClass('search-reveal');

            e('.search-box').slideToggle("500");

            setTimeout(function () {
                e('.icon-search button').focus();
            }, 300);
        });
        e("#dropdownLabel").click(function () {
            e(".dropdown-widgets").slideToggle("500");
        });

         e( 'input, a, button' ).on( 'focus', function() {
            if ( e( 'body' ).hasClass( 'search-reveal' ) ) {

                if ( e( this ).hasClass( 'search-return-focus' ) ) {
                    
                    e('.close-popup').focus();
                }

                if ( e( this ).hasClass( 'search-return-focus-start' ) ) {
                    
                    e('.search-box .search-submit').focus();
                }
            }
        } );

    };
    n.DataBackground = function () {
        e('.bg-image').each(function () {
            var src = e(this).children('img').attr('src');
            if( src ){
                e(this).css('background-image', 'url(' + src + ')').children('img').hide();
            }
        });
    };
    n.InnerBanner = function () {
        var pageSection = e(".data-bg");
        pageSection.each(function (indx) {
            if (e(this).attr("data-background")) {
                e(this).css("background-image", "url(" + e(this).data("background") + ")");
            }
        });
    };

    var rtled = false;

    if( e('body').hasClass('rtl') ){
        rtled = true;
    }

    n.TwpSlider = function () {
        e(".twp-slider-main").slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            fade: true,
            autoplay: true,
            autoplaySpeed: 8000,
            infinite: true,
            dots: false,
            arrows: true,
            nextArrow: '<i class="navcontrol-icon slide-next ion-ios-arrow-right"></i>',
            prevArrow: '<i class="navcontrol-icon slide-prev ion-ios-arrow-left"></i>',
            speed: 500,
            centerMode: false,
            draggable: true,
            touchThreshold: 20,
            cssEase: 'cubic-bezier(0.28, 0.12, 0.22, 1)'
        });
        e('.twp-scroller').slick({
            slidesToShow: 5,
            slidesToScroll: 1,
            dots: false,
            arrows: false,
            focusOnSelect: true,
            responsive: [
                {
                    breakpoint: 991,
                    settings: {
                        slidesToShow: 3,
                        slidesToScroll: 3
                    }
                },
                {
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2
                    }
                },
                {
                    breakpoint: 480,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1
                    }
                }
            ]
        });
        e(".twp-slider-secondary").slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            fade: true,
            autoplay: true,
            autoplaySpeed: 8000,
            infinite: true,
            dots: false,
            arrows: false,
            asNavFor: '.slider-nav'
        });
        e('.slider-nav').slick({
            slidesToShow: 4,
            slidesToScroll: 1,
            asNavFor: '.twp-slider-secondary',
            dots: false,
            arrows: false,
            focusOnSelect: true,
            responsive: [
                {
                    breakpoint: 991,
                    settings: {
                        slidesToShow: 3,
                        slidesToScroll: 3
                    }
                },
                {
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2
                    }
                },
                {
                    breakpoint: 480,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1
                    }
                }
            ]
        });
        e("figure.wp-block-gallery.has-nested-images.columns-1, .wp-block-gallery.columns-1 ul.blocks-gallery-grid, .gallery-columns-1").each(function () {
            e(this).slick({
                slidesToShow: 1,
                slidesToScroll: 1,
                fade: true,
                autoplay: true,
                autoplaySpeed: 8000,
                infinite: true,
                arrows: true,
                nextArrow: '<i class="navcontrol-icon slide-next ion-ios-arrow-right"></i>',
                prevArrow: '<i class="navcontrol-icon slide-prev ion-ios-arrow-left"></i>',
                dots: false,
                rtl: rtled
            });
        });
        e(".recent-slider").each(function () {
            e(this).slick({
                slidesToShow: 3,
                slidesToScroll: 1,
                dots: false,
                infinite: false,
                prevArrow: e('.slide-prev-2'),
                nextArrow: e('.slide-next-2'),
                responsive: [
                    {
                        breakpoint: 991,
                        settings: {
                            slidesToShow: 3
                        }
                    },
                    {
                        breakpoint: 768,
                        settings: {
                            slidesToShow: 2
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            slidesToShow: 1
                        }
                    }
                ]
            });
        });
        e(".slide-posts").each(function () {
            e(this).slick({
                infinite: true,
                centerMode: true,
                centerPadding: '12%',
                slidesToShow: 3,
                speed: 500,
                prevArrow: e('.slide-prev-3'),
                nextArrow: e('.slide-next-3'),
                dots: true,
                responsive: [
                    {
                        breakpoint: 1199,
                        settings: {
                            slidesToShow: 2
                        }
                    },
                    {
                        breakpoint: 992,
                        settings: {
                            slidesToShow: 1
                        }
                    }
                ]
            });
        });

        e(".twp-slider-section").slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            fade: true,
            autoplay: true,
            autoplaySpeed: 8000,
            infinite: true,
            dots: false,
            arrows: true,
            prevArrow: e('.slide-prev-1'),
            nextArrow: e('.slide-next-1'),
            speed: 500,
            centerMode: false,
            draggable: true,
            touchThreshold: 20,
            cssEase: 'cubic-bezier(0.28, 0.12, 0.22, 1)'
        });
    };
    n.MagnificPopup = function () {
        e('.widget .gallery, .entry-content .gallery, .wp-block-gallery').each(function () {
            e(this).magnificPopup({
                delegate: 'a',
                type: 'image',
                closeOnContentClick: false,
                closeBtnInside: false,
                mainClass: 'mfp-with-zoom mfp-img-mobile',
                image: {
                    verticalFit: true,
                    titleSrc: function (item) {
                        return item.el.attr('title');
                    }
                },
                gallery: {
                    enabled: true
                },
                zoom: {
                    enabled: true,
                    duration: 300,
                    opener: function (element) {
                        return element.find('img');
                    }
                }
            });
        });
    };
    n.show_hide_scroll_top = function () {
        if (e(window).scrollTop() > e(window).height() / 2) {
            e(".scroll-up").fadeIn(300);
        } else {
            e(".scroll-up").fadeOut(300);
        }
    };
    n.scroll_up = function () {
        e(".scroll-up").on("click", function () {
            e("html, body").animate({
                scrollTop: 0
            }, 700);
            return false;
        });
    };
    n.twp_matchheight = function () {
        e('.widget-area').theiaStickySidebar({
            additionalMarginTop: 30
        });
    };
    e(document).ready(function () {
        n.mobileMenu.init();
        n.TwpDropdown();
        n.DataBackground();
        n.InnerBanner();
        n.TwpSlider();
        n.scroll_up();
        n.MagnificPopup();
        n.twp_matchheight();
    });
    e(window).scroll(function () {
        n.stickyMenu();
        n.show_hide_scroll_top();
    });
})(jQuery);